SELECT
    SUM(a.is_green) AS green,
    SUM(a.is_yellow) AS yellow,
    SUM(a.is_red) AS red
FROM
    aggr_availability a JOIN point p ON a.id_point = p.id
WHERE
    base_date = (SELECT max(base_date) FROM aggr_availability) AND
    ($1::text IS NULL OR a.region = $1::text) AND
    ($2::text IS NULL OR a.state = $2::text) AND
    ($3::bigint IS NULL OR p.id_city = $3::bigint)